# Uses of Interface
org.xnio.channels.SslChannel

Packages that use SslChannel
Package
Description
org.xnio.channels
The core XNIO channel API.
org.xnio.ssl
Utility classes for using and implementing SSL within XNIO providers.

## Uses of SslChannel in org.xnio.channels

Subinterfaces of SslChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`ConnectedSslStreamChannel`
A TLS-encapsulated connected stream channel.
Classes in org.xnio.channels that implement SslChannel
Modifier and Type
Class
Description
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
`class`
`AssembledSslChannel`
An assembled SSL channel.
Methods in org.xnio.channels that return types with arguments of type SslChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends SslChannel>`
SslChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends SslChannel>`
SslChannel.`getHandshakeSetter()`
Get the setter which can be used to change the handshake listener for this channel.
Constructors in org.xnio.channels with parameters of type SslChannel
Modifier
Constructor
Description
``
`AssembledConnectedSslStreamChannel(SslChannel sslChannel, StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.

## Uses of SslChannel in org.xnio.ssl

Classes in org.xnio.ssl that implement SslChannel
Modifier and Type
Class
Description
`final class`
`JsseSslConnection`
`final class`
`JsseSslStreamConnection`
StreamConnection with SSL support.
`class`
`SslConnection`
A stream connection which can use SSL/TLS to negotiate a security layer.